Get the length (precision) of a field

- « odbc_fetch_row

- odbc_field_name »

- PHP Manual
- ODBC Functions
- Get the length (precision) of a field

# odbc_field_len

(PHP 4, PHP 5, PHP 7, PHP 8)

odbc_field_len — Get the length (precision) of a field

### Description

odbc_field_len(Odbc\Result `$statement`, int `$field`): int|false

Gets the length of the field referenced by number in the given result identifier.

### Parameters

`statement`

  The ODBC result object.

`field`

  The field number. Field numbering starts at 1.

### Return Values

Returns the field length, or `false` on error.

### Changelog

Version | Description
--- | ---
8.4.0 | `statement` expects an Odbc\Result instance now; previously, a resource was expected.

### See Also

- odbc_field_scale() - Get the scale of a field to get the scale of a floating point number